<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:genmodel="http://www.eclipse.org/uml2/2.2.0/GenModel"
    modelDirectory="/org.eclipse.papyrus.designer.languages.java.profile/src-gen"
    modelPluginID="org.eclipse.papyrus.designer.languages.java.profile" modelName="PapyrusJava"
    nonNLSMarkers="true" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
    importerID="org.eclipse.uml2.uml.ecore.importer" complianceLevel="6.0" copyrightFields="false"
    usedGenPackages="../../org.eclipse.emf.ecore/model/Ecore.genmodel#//ecore ../../org.eclipse.uml2.types/model/Types.genmodel#//types ../../org.eclipse.uml2.uml/model/UML.genmodel#//uml"
    operationReflection="true" importOrganizing="true">
  <genAnnotations source="http://www.eclipse.org/emf/2002/GenModel/importer/org.eclipse.uml2.uml.ecore.importer">
    <details key="OPPOSITE_ROLE_NAMES" value="IGNORE"/>
    <details key="DUPLICATE_FEATURES" value="DISCARD"/>
    <details key="ANNOTATION_DETAILS" value="PROCESS"/>
    <details key="PROPERTY_DEFAULT_EXPRESSIONS" value="IGNORE"/>
    <details key="DUPLICATE_FEATURE_INHERITANCE" value="DISCARD"/>
    <details key="COMMENTS" value="PROCESS"/>
    <details key="DERIVED_FEATURES" value="PROCESS"/>
    <details key="SUPER_CLASS_ORDER" value="PROCESS"/>
    <details key="DUPLICATE_OPERATION_INHERITANCE" value="DISCARD"/>
    <details key="REDEFINING_OPERATIONS" value="REPORT"/>
    <details key="INVARIANT_CONSTRAINTS" value="PROCESS"/>
    <details key="UNION_PROPERTIES" value="REPORT"/>
    <details key="DUPLICATE_OPERATIONS" value="DISCARD"/>
    <details key="NON_API_INVARIANTS" value="IGNORE"/>
    <details key="CAMEL_CASE_NAMES" value="IGNORE"/>
    <details key="SUBSETTING_PROPERTIES" value="REPORT"/>
    <details key="OPERATION_BODIES" value="IGNORE"/>
    <details key="ECORE_TAGGED_VALUES" value="PROCESS"/>
    <details key="UNTYPED_PROPERTIES" value="REPORT"/>
    <details key="REDEFINING_PROPERTIES" value="REPORT"/>
    <details key="INVOCATION_DELEGATES" value="IGNORE"/>
    <details key="VALIDATION_DELEGATES" value="IGNORE"/>
  </genAnnotations>
  <foreignModel>PapyrusJava.profile.uml</foreignModel>
  <genPackages xsi:type="genmodel:GenPackage" prefix="PapyrusJava" basePackage="org.eclipse.papyrus.designer.languages.java.profile"
      disposableProviderFactory="true" ecorePackage="PapyrusJava.ecore#/">
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Array">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Array/base_parameter"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//Array/definition"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Array/base_property"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Array/base_association"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//External">
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//External/name"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//External/base_Classifier"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//ExternLibrary">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//ExternLibrary/base_package"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//ExternLibrary/importPaths"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//ExternLibrary/libPaths"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//ExternLibrary/libs"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//ExternLibrary/imports"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Import">
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//Import/manualImports"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Import/base_class"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Import/base_Classifier"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Template">
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//Template/declaration"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Template/base_class"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//TemplateBinding">
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//TemplateBinding/binding"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//TemplateBinding/base_templatebinding"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//TemplateParameter">
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//TemplateParameter/name"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//TemplateParameter/base_templateparameter"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//ManualGeneration">
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute PapyrusJava.ecore#//ManualGeneration/extensionBody"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//ManualGeneration/base_Class"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Variadic">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Variadic/base_Parameter"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Volatile">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Volatile/base_Property"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Transient">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Transient/base_Property"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Synchronized">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Synchronized/base_Operation"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Strictfp">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Strictfp/base_Operation"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Strictfp/base_Classifier"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Native">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Native/base_Operation"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Default">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Default/base_Operation"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//StaticClassifier">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//StaticClassifier/base_Classifier"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="PapyrusJava.ecore#//Final">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference PapyrusJava.ecore#//Final/base_Parameter"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
